org.apache.commons.math3.analysis.interpolation

## Class MicrosphereInterpolatingFunction.MicrosphereSurfaceElement

- java.lang.Object
- - org.apache.commons.math3.analysis.interpolation.MicrosphereInterpolatingFunction.MicrosphereSurfaceElement

- Enclosing class:
    MicrosphereInterpolatingFunction

      private static class MicrosphereInterpolatingFunction.MicrosphereSurfaceElement
      extends java.lang.Object

  Class for storing the accounting data needed to perform the microsphere projection.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `brightestIllumination` Illumination received from the brightest sample.
    `private java.util.Map.Entry<RealVector,java.lang.Double>` | `brightestSample` Brightest sample.
    `private RealVector` | `normal` Normal vector characterizing a surface element.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MicrosphereInterpolatingFunction.MicrosphereSurfaceElement(double[] n)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) double` | `illumination()` Get the illumination of the element.
    `(package private) RealVector` | `normal()` Return the normal vector.
    `(package private) void` | `reset()` Reset "illumination" and "sampleIndex".
    `(package private) java.util.Map.Entry<RealVector,java.lang.Double>` | `sample()` Get the sample illuminating the element the most.
    `(package private) void` | `store(double illuminationFromSample, java.util.Map.Entry<RealVector,java.lang.Double> sample)` Store the illumination and index of the brightest sample.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### normal

          private final RealVector normal

      Normal vector characterizing a surface element.

    - #### brightestIllumination

          private double brightestIllumination

      Illumination received from the brightest sample.

    - #### brightestSample

          private java.util.Map.Entry<RealVector,java.lang.Double> brightestSample

      Brightest sample.

  - ### Constructor Detail

    - #### MicrosphereInterpolatingFunction.MicrosphereSurfaceElement

          MicrosphereInterpolatingFunction.MicrosphereSurfaceElement(double[] n)

      Parameters:
        `n` - Normal vector characterizing a surface element of the microsphere.

  - ### Method Detail

    - #### normal

          RealVector normal()

      Return the normal vector.
      Returns:
        the normal vector

    - #### reset

          void reset()

      Reset "illumination" and "sampleIndex".

    - #### store

          void store(double illuminationFromSample,
                   java.util.Map.Entry<RealVector,java.lang.Double> sample)

      Store the illumination and index of the brightest sample.
      Parameters:
        `illuminationFromSample` - illumination received from sample
        `sample` - current sample illuminating the element

    - #### illumination

          double illumination()

      Get the illumination of the element.
      Returns:
        the illumination.

    - #### sample

          java.util.Map.Entry<RealVector,java.lang.Double> sample()

      Get the sample illuminating the element the most.
      Returns:
        the sample.

Copyright (c) 2003-2013 Apache Software Foundation